GDB (xrefs)

Public Attributes | List of all members
thread_object Struct Reference

`#include "python-internal.h"`

## Public Attributes
PyObject_HEAD struct thread_info * | thread
PyObject * | inf_obj

## Detailed Description

Definition at line 432 of file python-internal.h.

## Member Data Documentation

## ◆ inf_obj

PyObject* thread_object::inf_obj

Definition at line 440 of file python-internal.h.

Referenced by add_thread_object(), create_thread_object(), and thpy_get_inferior().

## ◆ thread

PyObject_HEAD struct thread_info* thread_object::thread

Definition at line 437 of file python-internal.h.

Referenced by create_thread_object(), delete_thread_object(), find_thread_object(), thpy_get_global_num(), thpy_get_name(), thpy_get_num(), thpy_get_ptid(), thpy_is_exited(), thpy_is_running(), thpy_is_stopped(), thpy_is_valid(), thpy_set_name(), and thpy_switch().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/python-internal.h